List Agent Secrets

List Agent Secrets
List Agent Secrets

Retrieves a paginated list of all agent secrets configured in the system. The response includes secret names and metadata but does not include the actual secret values.

Supports pagination parameters to control the number of results returned.

Request
URI
GET
https://{api_host}/api/v2/agent/secrets
COPY
Query Parameters
pageable
Required

pageable


Authentication
This operation uses the following authentication methods.
Responses
200

Return list of secrets

Returns AgentSecretListResponse of type(s) application/json
{
    "id": "string",
    "modificationTime": "string",
    "name": "string",
    "status": "string"
}
string
id
Optional

id

string
modificationTime
Optional

modificationTime

string
name
Optional

name

string
status
Optional

status


403

Forbidden: Authorization required

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v2/agent/secrets?pageable=v